/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CalculatedValue
 */
public enum EnumCM_CalculatedValue 
{
	//CID 6142 Calculated Value
		CAVITY_EXTENT_AS_PERCENT_OF_VOLUME("Cavity extent as percent of volume"),
		CALCIFICATION_EXTENT_AS_PERCENT_OF_SURFACE("Calcification extent as percent of surface"),
		CALCIFICATION_EXTENT_AS_PERCENT_OF_VOLUME("Calcification extent as percent of volume"),
		CALCIUM_SCORE("Calcium score"),
		BREAST_TISSUE_DENSITY("Breast tissue density"),
		VOLUME_OF_PARENCHYMAL_TISSUE("Volume of parenchymal tissue"),
		VOLUME_OF_BREAST("Volume of breast"),
		MASS_OF_PARENCHYMAL_TISSUE("Mass of parenchymal tissue"),
		MASS_OF_BREAST("Mass of breast"),
		AREA_OF_VASCULAR_CALCIFICATION("Area of Vascular Calcification"),
		VOLUME_OF_VASCULAR_CALCIFICATION("Volume of Vascular Calcification"),
		PERCENTAGE_OF_VASCULAR_CALCIFICATION("Percentage of Vascular Calcification"),
		MASS_OF_VASCULAR_CALCIFICATION("Mass of Vascular Calcification"),
		AVERAGE_CALCIFICATION_DISTANCE_IN_A_CALCIFICATION_CLUSTER("Average calcification distance in a calcification cluster"),
		STANDARD_DEVIATION_DISTANCE_OF_CALCIFICATIONS_IN_A_CLUSTER("Standard deviation distance of calcifications in a cluster");

	private String value;

	EnumCM_CalculatedValue(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
